%global oname maxmind-db
Name:          maxmind-db-java
Version:       1.0.1
Release:       4%{?dist}
Summary:       Java reader for the MaxMind DB format
License:       ASL 2.0
URL:           http://dev.maxmind.com/
Source0:       https://github.com/maxmind/MaxMind-DB-Reader-java/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
This is the Java API for reading MaxMind DB files.
MaxMind DB is a binary file format that stores
data indexed by IP address subnets (IPv4 or IPv6).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n MaxMind-DB-Reader-java-%{version}

# Unwanted
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :exec-maven-plugin

# Unavailable plugin
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin org.eluder.coveralls:coveralls-maven-plugin
%pom_remove_plugin :versions-maven-plugin

%mvn_file :%{oname} %{oname}
 
%build

# Tests fails for unavailable resources: maxmind-db/test-data/MaxMind-DB-test-decoder.mmdb
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 23 2015 gil cattaneo <puntogil@libero.it> 1.0.1-1
- update to 1.0.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.0.0-3
- introduce license macro

* Mon Jan 19 2015 gil cattaneo <puntogil@libero.it> 1.0.0-2
- rebuilt for regenerate rpm {osgi,maven}.prov, {osgi,maven}.req

* Tue Jan 06 2015 gil cattaneo <puntogil@libero.it> 1.0.0-1
- update to 1.0.0

* Fri Mar 07 2014 gil cattaneo <puntogil@libero.it> 0.3.1-1
- initial rpm
